View Issue Details

IDProjectCategoryView StatusLast Update
0002165Ham Radio DeluxeBugpublic2017-08-05 18:27
Reporterg3ucq 
Assigned ToK7ZCZ 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.671 
Summary0002165: Logbook stops responding
DescriptionOne entering a new callsign in the Logbook ALE, the Logbook will stop responding.
Steps To Reproduce(I first thought the problem was related to using the Call sign filter but it is not.)
Using v668 but this problem goes back many issues.
Load HRD Rig Control with DM780 and the Logbook.
My default log, G3UCQ_MySQL database is loaded.
Click on the ALE button and enter a call sign.
If I press the Enter key the QSO is logged with no problem.
If I press the TAB key, data is loaded from QRZ.com
If I then click on the Lookup button the Logbook will crash (see capture.jpg)
I have to use Task Manager to shut down the Logbook.
See the images for the sequence.
Additional InformationI am not familiar with the debugging program or how to produce a mini-dump.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

related to 0002172 closedK7ZCZ Logbook crashes after 2nd ALE edit 

Activities

g3ucq

2017-07-31 03:50

viewer  

Capture_4.JPG (21,208 bytes)
Capture_4.JPG (21,208 bytes)
Capture.JPG (25,444 bytes)
Capture.JPG (25,444 bytes)
Capture_3.JPG (56,556 bytes)
Capture_3.JPG (56,556 bytes)
Capture_2.JPG (26,922 bytes)
Capture_2.JPG (26,922 bytes)
Capture_1.JPG (30,814 bytes)
Capture_1.JPG (30,814 bytes)

g3ucq

2017-07-31 04:00

viewer   ~0003794

I get the same result with an Access database.

g3ucq

2017-08-01 02:58

viewer   ~0003799

My minidump file.
HTH

HRDLogbook.dmp (333,718 bytes)

PD9FER

2017-08-01 07:26

viewer   ~0003801

Confirmed

PD9FER

2017-08-01 07:33

viewer   ~0003802

Here my dump files

minidump.rar (402,163 bytes)

PD9FER

2017-08-01 08:02

viewer   ~0003803

I made an error... my file is for 0002172

K7ZCZ

2017-08-01 10:07

viewer   ~0003804

Thanks for providing the minidump. Having a minidump available makes investigating issues like this much easier.

K7ZCZ

2017-08-01 10:10

viewer   ~0003806

fixed with this change set: https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3714

g3ucq

2017-08-02 03:37

viewer   ~0003824

Fixed with v669. Well done

w4ase

2017-08-02 09:50

viewer   ~0003827

fixed in v669

WA9PIE

2017-08-02 15:55

administrator   ~0003848

We've had reports of this in the past. Tracking it down and fixing it is a very good thing.

Verified as fixed.

WA9PIE

2017-08-05 18:13

administrator   ~0003899

All completed during the 670 build/release.

Issue History

Date Modified Username Field Change
2017-07-31 03:50 g3ucq New Issue
2017-07-31 03:50 g3ucq File Added: Capture.JPG
2017-07-31 03:50 g3ucq File Added: Capture_1.JPG
2017-07-31 03:50 g3ucq File Added: Capture_2.JPG
2017-07-31 03:50 g3ucq File Added: Capture_3.JPG
2017-07-31 03:50 g3ucq File Added: Capture_4.JPG
2017-07-31 04:00 g3ucq Note Added: 0003794
2017-08-01 02:58 g3ucq File Added: HRDLogbook.dmp
2017-08-01 02:58 g3ucq Note Added: 0003799
2017-08-01 07:26 PD9FER Note Added: 0003801
2017-08-01 07:33 PD9FER File Added: minidump.rar
2017-08-01 07:33 PD9FER Note Added: 0003802
2017-08-01 08:02 PD9FER Note Added: 0003803
2017-08-01 10:07 K7ZCZ Note Added: 0003804
2017-08-01 10:09 K7ZCZ Relationship added related to 0002172
2017-08-01 10:10 K7ZCZ Assigned To => K7ZCZ
2017-08-01 10:10 K7ZCZ Status new => resolved
2017-08-01 10:10 K7ZCZ Resolution open => fixed
2017-08-01 10:10 K7ZCZ Testing => Not Started
2017-08-01 10:10 K7ZCZ Note Added: 0003806
2017-08-01 10:23 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-08-02 03:37 g3ucq Note Added: 0003824
2017-08-02 07:31 K7ZCZ Fixed in Version => 6.4.0.669
2017-08-02 09:50 w4ase Note Added: 0003827
2017-08-02 15:55 WA9PIE Testing Not Started => Beta Successful
2017-08-02 15:55 WA9PIE Note Added: 0003848
2017-08-05 18:09 WA9PIE Fixed in Version 6.4.0.669 => 6.4.0.670
2017-08-05 18:10 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-08-05 18:13 WA9PIE Note Added: 0003899
2017-08-05 18:13 WA9PIE Status resolved => closed
2017-08-05 18:27 WA9PIE Fixed in Version 6.4.0.670 => 6.4.0.671